# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "eadup"
version = "0.1.1"
authors = ["wellman4"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A semantic markup language and compiler for automated, standards-compliant document typesetting"
readme = "README.md"
keywords = [
    "typesetting",
    "compiler",
    "pdf",
    "wasm",
    "eadup",
]
categories = [
    "compilers",
    "text-processing",
    "rendering",
    "wasm",
    "command-line-utilities",
]
license = "AGPL-3.0-or-later"
repository = "https://github.com/wellman4/eadup"

[features]
cli = ["dep:clap"]
default = ["cli"]
wasm = ["dep:wasm-bindgen"]

[lib]
name = "eadup"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[[bin]]
name = "eadup"
path = "src/main.rs"

[dependencies.clap]
version = "4.6.1"
features = ["derive"]
optional = true

[dependencies.printpdf]
version = "0.9.1"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.swash]
version = "0.2.7"

[dependencies.wasm-bindgen]
version = "0.2.118"
optional = true

[profile.release]
opt-level = 3
lto = "thin"
strip = false

[profile.wasm]
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"
inherits = "release"
strip = true
